liblwp-online-perl_1.08-1_all.deb


Advertisement

Description

liblwp-online-perl - module to check if there is Internet access

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name liblwp-online-perl
Package version 1.08
Package release 1
Package architecture all
Package type deb
Installed size 32 B
Download size 12.81 KB
Official Mirror ftp.br.debian.org
LWP::Online will try to verify, as accurately as it can, if the
host has any Internet access: it will check if there is basic
network access, DNS connectivity and it will also check whether
one from a whole set of transport (HTTP, HTTPS, FTP, and so on) is
actually available.
The exported 'online' function can also be used by other modules to
skip the tests which require Internet connectivity.

Alternatives

Package Version Architecture Repository
liblwp-online-perl_1.08-1_all.deb 1.08 all Debian Main
liblwp-online-perl - - -

Requires

Name Value
liburi-perl -
libwww-perl -
perl -

Download

Type URL
Binary Package liblwp-online-perl_1.08-1_all.deb
Source Package liblwp-online-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install liblwp-online-perl deb package:
    # sudo apt-get install liblwp-online-perl

Files

Path
/usr/share/doc/liblwp-online-perl/changelog.Debian.gz
/usr/share/doc/liblwp-online-perl/changelog.gz
/usr/share/doc/liblwp-online-perl/copyright
/usr/share/man/man3/LWP::Online.3pm.gz
/usr/share/perl5/LWP/Online.pm

Changelog

2011-07-09 - Ansgar Burchardt <ansgar@debian.org>
liblwp-online-perl (1.08-1) unstable; urgency=low
* Team upload.
[ gregor herrmann ]
* debian/control: add missing full stop to long description, thanks to
Rhonda for spotting.
[ Nathan Handler ]
* debian/watch: Update to ignore development releases.
[ Salvatore Bonaccorso ]
* debian/control: Changed: Replace versioned (build-)dependency on
perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as
permitted by Debian Policy 3.8.3).
[ Ansgar Burchardt ]
* New upstream release.
* No longer run author tests.
* Use minimal debian/rules with debhelper 8.
* Use source format 3.0 (quilt).
* debian/copyright: Update for new release; refer to "Debian systems" instead
of "Debian GNU/Linux systems"; refer to /usr/share/common-licenses/GPL-1.
* Bump Standards-Version to 3.9.2.
2009-02-10 - Antonio Radici <antonio@dyne.org>
liblwp-online-perl (1.07-1) unstable; urgency=low
* Initial Release. (Closes: #514679)

See Also

Package Description
liblwp-protocol-http-socketunix-perl_0.02-2_all.deb Perl module to speak http through unix sockets
liblwp-protocol-https-perl_6.06-2_all.deb HTTPS driver for LWP::UserAgent
liblwp-protocol-psgi-perl_0.07-1_all.deb override LWP's HTTP/HTTPS backend with your own PSGI application
liblwp-protocol-socks-perl_1.7-1_all.deb SOCKS proxy support for LWP
liblwp-useragent-determined-perl_1.07-1_all.deb LWP useragent that retries errors
liblwpx-paranoidagent-perl_1.10-5_all.deb a "paranoid" subclass of LWP::UserAgent
liblwres90_9.9.5.dfsg-9+deb8u15_i386.deb Lightweight Resolver Library used by BIND
liblwt-glib-ocaml-dev_2.4.3-4+b1_i386.deb cooperative GLib bindings for OCaml
liblwt-glib-ocaml_2.4.3-4+b1_i386.deb cooperative GLib bindings for OCaml (runtime)
liblwt-ocaml-dev_2.4.3-4+b1_i386.deb cooperative light-weight thread library for OCaml
liblwt-ocaml-doc_2.4.3-4_all.deb cooperative light-weight thread library (documentation)
liblwt-ocaml_2.4.3-4+b1_i386.deb cooperative light-weight thread library for OCaml (runtime)
liblwt-ssl-ocaml-dev_2.4.3-4+b1_i386.deb cooperative OpenSSL bindings for OCaml
liblwt-ssl-ocaml_2.4.3-4+b1_i386.deb cooperative OpenSSL bindings for OCaml (runtime)
liblz-dev_1.6-2_i386.deb data compressor based on the LZMA algorithm (development)
Advertisement
Advertisement